Bug 1022621 - No error reported during CV publish if Puppet install distributor fails due to duplicate names
No error reported during CV publish if Puppet install distributor fails due t...
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: API/integration (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: 2.3.0
Assigned To: Jay Dobies
Preethi Thomas
:
Depends On:
Blocks: 1021612
  Show dependency treegraph
 
Reported: 2013-10-23 11:51 EDT by David Davis
Modified: 2013-12-09 09:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1021612
Environment:
Last Closed: 2013-12-09 09:31:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Jay Dobies 2013-10-29 16:15:17 EDT
https://github.com/pulp/pulp/pull/689
Comment 3 Jay Dobies 2013-10-30 12:56:41 EDT
The publish report will now be included in the task under result. That will indicate if the publish ran into errors or not.
Comment 4 Jeff Ortel 2013-11-01 18:29:04 EDT
build: 2.3.0-0.27.beta
Comment 5 Preethi Thomas 2013-11-05 13:47:44 EST
verified
[root@pulp-v2-server ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.27.beta.el6.noarch
[root@pulp-v2-server ~]# 

[root@pulp-v2-server ~]# pulp-admin puppet repo sync run --repo-id puppet-repo
+----------------------------------------------------------------------+
                 Synchronizing Repository [puppet-repo]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[==================================================] 100%
Metadata Query: 2/2 items
... completed

Downloading new modules...
[==================================================] 100%
Module: 0/0 items
... completed

Publishing modules...
[==================================================] 100%
Module: 41/41 items
... completed

Generating repository metadata...
[-]
... completed

Publishing repository over HTTP...
... completed

Publishing repository over HTTPS...
... skipped
[root@pulp-v2-server ~]# pulp-admin tasks list
+----------------------------------------------------------------------+
                                 Tasks
+----------------------------------------------------------------------+

Operations:  sync
Resources:   puppet-repo (repository)
State:       Successful
Start Time:  2013-11-05T18:45:15Z
Finish Time: 2013-11-05T18:45:18Z
Result:      
  Added Count:      0
  Completed:        2013-11-05T13:45:18-05:00
  Details:          
    Error Count:    0
    Finished Count: 0
    Total Count:    0
  Error Message:    None
  Exception:        None
  Id:               52793cbed669f076c7a00d62
  Importer Id:      puppet_importer
  Importer Type Id: puppet_importer
  Removed Count:    0
  Repo Id:          puppet-repo
  Result:           success
  Started:          2013-11-05T13:45:15-05:00
  Summary:          
    Total Execution Time: 2
  Traceback:        None
  Updated Count:    0
Task Id:     79b76025-ce76-44f9-b643-a9da4bd5b0b4

Operations:  auto_publish, publish
Resources:   puppet-repo (repository)
State:       Successful
Start Time:  2013-11-05T18:45:18Z
Finish Time: 2013-11-05T18:45:19Z
Result:      
  Completed:           2013-11-05T13:45:19-05:00
  Details:             
  Distributor Id:      puppet_distributor
  Distributor Type Id: puppet_distributor
  Error Message:       None
  Exception:           None
  Id:                  52793cbfd669f076c7a00d66
  Repo Id:             puppet-repo
  Result:              success
  Started:             2013-11-05T13:45:18-05:00
  Summary:             
    Total Execution Time: 0
  Traceback:           None
Task Id:     1c1b8891-5345-45fa-820b-7387a6d14d2a

Operations:  auto_publish, publish
Resources:   puppet-repo (repository)
State:       Successful
Start Time:  2013-11-05T18:45:18Z
Finish Time: 2013-11-05T18:45:19Z
Result:      
  Completed:           2013-11-05T13:45:19-05:00
  Details:             
    Unit Count: 41
  Distributor Id:      nodes_http_distributor
  Distributor Type Id: nodes_http_distributor
  Error Message:       None
  Exception:           None
  Id:                  52793cbfd669f076c7a00d69
  Repo Id:             puppet-repo
  Result:              success
  Started:             2013-11-05T13:45:18-05:00
  Summary:             succeeded
  Traceback:           None
Task Id:     61184aa9-dc05-400f-a29a-5c8acc23f244


[root@pulp-v2-server ~]# pulp-admin rpm repo publish run --repo-id zoo
+----------------------------------------------------------------------+
                      Publishing Repository [zoo]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Publishing packages...
[==================================================] 100%
Packages: 32/32 items
... completed

Publishing distributions...
[==================================================] 100%
Distributions: 0/0 items
... completed

Generating metadata
[\]
... completed

Publishing repository over HTTPS
[-]
... completed

[root@pulp-v2-server ~]# pulp-admin tasks list
+----------------------------------------------------------------------+
                                 Tasks
+----------------------------------------------------------------------+

Operations:  publish
Resources:   zoo (repository)
State:       Successful
Start Time:  2013-11-05T18:47:00Z
Finish Time: 2013-11-05T18:47:02Z
Result:      
  Completed:           2013-11-05T13:47:02-05:00
  Details:             
    Errors:            
    Time Metadata Sec: 1.34350395203
  Distributor Id:      yum_distributor
  Distributor Type Id: yum_distributor
  Error Message:       None
  Exception:           None
  Id:                  52793d26d669f076c7a00d83
  Repo Id:             zoo
  Result:              success
  Started:             2013-11-05T13:47:00-05:00
  Summary:             
    Https Publish Dir:                /var/lib/pulp/published/https/repos/repos/
                                      pulp/pulp/demo_repos/zoo
    Num Distribution Units Attempted: 0
    Num Distribution Units Errors:    0
    Num Distribution Units Published: 0
    Num Package Categories Published: 1
    Num Package Groups Published:     2
    Num Package Units Attempted:      32
    Num Package Units Errors:         0
    Num Package Units Published:      32
    Relative Path:                    repos/pulp/pulp/demo_repos/zoo/
    Skip Metadata Update:             False
  Traceback:           None
Task Id:     419f5f6e-5046-4f0d-988e-647d17a18507


[root@pulp-v2-server ~]#
Comment 6 Preethi Thomas 2013-12-09 09:31:41 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.